Subject: Re: linux-next: Tree for Apr 4

From: Martin Schwidefsky <[email-masked]>
Date: Tue, 12 Apr 2016 18:34:08 +0200

On Mon, 4 Apr 2016 16:26:35 +0200
Heiko Carstens <[email-masked]> wrote:

> On Mon, Apr 04, 2016 at 05:51:09PM +0530, Sudip Mukherjee wrote:
> > On Monday 04 April 2016 09:39 AM, Stephen Rothwell wrote:
> > >Hi all,
> > >
> > >Changes since 20160401:
> > 
> > s390 allmodconfig build fails with the error:
> > 
> > arch/s390/crypto/ghash_s390.c:14:24: fatal error: crypt_s390.h: No
> > such file or directory
> >  #include "crypt_s390.h"
> >                       ^
> > 
> > build log is at:
> > https://travis-ci.org/sudipm-mukherjee/parport/jobs/120536718
> > 
> > caused by the commit -
> > ce69a690149c ("s390/crypto: cleanup and move the header with the
> > cpacf definitions") which removed the file "crypt_s390.h"
> 
> Thanks for letting us know!
> 
> I just removed that specific patch from the 'features' branch again. It was
> incomplete since it didn't convert the ghash module at all.
> 
> No idea what Martin was thinking when pushing that patch.

That is strange. On my local features branch that I use to push to kerne.org
there is no ghash commit. The last commit is this:

commit ce69a690149c7431d05b4679409ab8fa6ad3a09f
Author: Martin Schwidefsky <[email-masked]>
Date:   Thu Mar 17 15:22:12 2016 +0100

    s390/crypto: cleanup and move the header with the cpacf definitions

which Heiko now removed. My guest right now is that the ghash commit stems
from another tree merged into linux-next and we simply have an unresolved
dependency here. I do have an updated ghash patch that includes the correct
header.

-- 
blue skies,
   Martin.

"Reality continues to ruin my life." - Calvin.